## kernel-patch-2.4.25-apus 2.4.25-2

=== debian/changelog ===
kernel-patch-2.4.25-apus (2.4.25-2) unstable; urgency=high

  * Built against kernel-source 2.4.25-3 to pull in security fixes and more :
    - Black listed "TOSHIBA CD-ROM XM-1702BC" in drivers/ide/ide-dma.c
      (Moritz Lennert, closes: #222939).
    - Set protocol in ip_route_me_harder in net/core/netfilter.c
      (closes: #236479).
    - Reverted hardsect change in drivers/scsi/sr.c (closes: #232586).
    - Tighten sanity in time_init to 250 PPM in arch/alpha/kernel/time.c
      (Scott Bailey, closes: #233096).
    - Call mkdep on headers with xargs in Makefile.
    - Fixed tuner support on WinTV-D boards in drivers/media/video/bttv-cards.c
      (2.6, closes: #241272).
    - Fixed single word src misalign > dest misalign case in
      arch/alpha/lib/stxncpy.S (glibc, closes: #237884).
    - Enhanced user input validation (Thomas Biege):
      . drivers/char/drm/r128_state.c
      . drivers/char/drm-4.0/r128_state.c
    - Fixed audio sampe size in drivers/sound/sb_audio.c (bk).
    - Fixed local root exploit in fs/isofs/rock.c (Ernie Petrides).
    - Clear b_data in journal_get_descriptor_buffer in fs/jbd/journal.c
      (Ted Ts'o).
    - Zero log buffer at mount time in fs/xfs/xfs_log.c (bk).
    - Fixed boundary checks for GUSAGE/SUSAGE in drivers/usb/hiddev.c.

 -- Sven Luther <luther@debian.org>  Wed, 14 Apr 2004 14:27:49 +0200

kernel-patch-2.4.25-apus (2.4.25-1) unstable; urgency=low

  * Updated to 2.4.25 kernel source (18-03-2004 CVS snapshot).
  * Modified to use 2.4.25-1 debian kernel source, and not just the plain
    debian tarball, which may be subject to changes.

 -- Sven Luther <luther@debian.org>  Mon, 22 Mar 2004 15:17:00 +0100

kernel-patch-2.4.20-apus (2.4.20-1) unstable; urgency=low

  * Linux/APUS CVS as of 2002-12-14
    * might fix hangs on bootup on BlizzardPPC systems

 -- Michel Daenzer <daenzer@debian.org>  Sun, 15 Dec 2002 01:08:41 +0100

kernel-patch-2.4.18-apus (2.4.18-3) unstable; urgency=low

  * Linux/APUS CVS as of 2002-09-04
    * The CybserstormPPC UW SCSI driver should work now, yay! Beware that it's
      still rather experimental - you've been warned
  * config/apus: disable PCI as it seems to cause more grief than joy yet
  * debian/control: add build dependency on debhelper

 -- Michel Daenzer <daenzer@debian.org>  Thu,  5 Sep 2002 00:25:14 +0200

kernel-patch-2.4.18-apus (2.4.18-2) unstable; urgency=low

  * Linux/APUS CVS as of 2002-04-08
  * Upstreams adds driver for GVP IO extender parallel port and virgefb fixes
    by Ken Tyler and another attempt to fix IRQ related boot problems by Roman
    Zippel. Feedback appreciated, as always

 -- Michel Daenzer <daenzer@debian.org>  Mon,  8 Apr 2002 15:21:02 +0200

kernel-patch-2.4.18-apus (2.4.18-1) unstable; urgency=low

  * Linux/APUS CVS as of 2002-03-30
  * contains upstream attempt to fix a boot problem on some machines related
    to IRQs; please let us know how it goes

 -- Michel Daenzer <daenzer@debian.org>  Sat, 30 Mar 2002 12:59:18 +0100

kernel-patch-2.4.17-apus (2.4.17-3) unstable; urgency=medium

  * Linux/APUS CVS as of 2002-02-17
  * Upstream has cleaned up some configuration options
  * Change CONFIG_PACKET to y for dhcp-client to work. This is needed for DHCP
    to work with the boot-floppies, hence the medium urgency

 -- Michel Daenzer <daenzer@debian.org>  Sun, 17 Feb 2002 16:38:14 +0100

kernel-patch-2.4.17-apus (2.4.17-2) unstable; urgency=low

  * Linux/APUS CVS as of 2002-01-19
  * Upstream fixes for boot problems

 -- Michel Daenzer <daenzer@debian.org>  Sat, 19 Jan 2002 18:15:40 +0100

kernel-patch-2.4.17-apus (2.4.17-1) unstable; urgency=low

  * Linux/APUS CVS as of 2002-01-10 (after 2.4.17 import from bk)
  * Upstream changes include new support for RBM IOBlix Zorro2 serial cards

 -- Michel Daenzer <daenzer@debian.org>  Fri, 11 Jan 2002 00:10:59 +0100

kernel-patch-2.4.16-apus (2.4.16-2) unstable; urgency=low

  * Rename patch directory from apus to powerpc, so (un)applying works out of
    the box (Closes a bug which doesn't exist but should have ;)
  * While we're at it, clean up debian/rules a bit wrt powerpc/apus

 -- Michel Daenzer <daenzer@debian.org>  Wed, 19 Dec 2001 18:04:00 +0100

kernel-patch-2.4.16-apus (2.4.16-1) unstable; urgency=low

  * Linux/APUS CVS as of 2001-12-01 (after 2.4.16 import from bk)

 -- Michel Daenzer <daenzer@debian.org>  Sat,  1 Dec 2001 18:17:11 +0100

kernel-patch-2.4.14-apus (2.4.14-1) unstable; urgency=low

  * Linux/APUS CVS as of 2001-11-13 (after 2.4.14 import from bk)
  * Upstream changes highlights include IRQ, memory and general cleanups for
    better integration into the bitkeeper and eventually Linus (yay!) tree

 -- Michel Daenzer <daenzer@debian.org>  Tue, 13 Nov 2001 01:53:00 +0100

kernel-patch-2.4.13-apus (2.4.13-1) unstable; urgency=low

  * The Halloween-but-no-kandy-so-far upload
  * Linux/APUS CVS as of 2001-11-01 (after 2.4.13 import from bk)
  * Resurrect kernel-headers package (ideas for a better long description for
    these are appreciated :)

 -- Michel Daenzer <daenzer@debian.org>  Sat, 27 Oct 2001 17:57:27 +0200

kernel-patch-2.4.12-apus (2.4.12-1) unstable; urgency=low

  * Linux/APUS CVS as of 2001-10-20 (after 2.4.12 import from bk)
  * New virtual package kernel-image-apus which depends on the latest real
    Linux/APUS kernel-image
  * debian/rules: cleanup

 -- Michel Daenzer <daenzer@debian.org>  Sat, 20 Oct 2001 14:22:15 +0200

kernel-patch-2.4.9-apus (2.4.9-2) unstable; urgency=low

  * Linux/APUS 2.4.9 final (CVS tag apus-2_4_9)
  * add X-Surf support

 -- Michel Daenzer <daenzer@debian.org>  Sat, 20 Oct 2001 01:44:11 +0200

kernel-patch-2.4.9-apus (2.4.9-1) unstable; urgency=low

  * Linux/APUS CVS as of 2001-08-22
  * There have been reorganizations in the bitkeeper tree so there might be
    problems. Please do report bugs.

 -- Michel Daenzer <daenzer@debian.org>  Wed, 22 Aug 2001 02:09:48 +0200

kernel-patch-2.4.8-apus (2.4.8-2) unstable; urgency=low


